Bug 598885 - confusing words for kernel parameters setup
Summary: confusing words for kernel parameters setup
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ovirt-node   
(Show other bugs)
Version: 5.5
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Alan Pevec
QA Contact:
URL:
Whiteboard:
Keywords: StringChange
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-02 09:43 UTC by Vivian Bian
Modified: 2011-01-13 18:42 UTC (History)
3 users (show)

Fixed In Version: ovirt-node-1.0-46.el5
Doc Type: Bug Fix
Doc Text:
To avoid possible confusion, the prompt message that is displayed when a user selects to perform a local installation has been changed to "Enter kernel boot parameters (press Enter to use the present arguments)".
Story Points: ---
Clone Of:
: 611621 (view as bug list)
Environment:
Last Closed: 2011-01-13 18:42:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0148 normal SHIPPED_LIVE rhev-hypervisor bug fix update 2011-01-13 18:40:52 UTC

Description Vivian Bian 2010-06-02 09:43:51 UTC
Description of problem:
perform "install locally and reboot" will get "Enter additional kernel boot parameters (press Enter to use the present arguments):"
but what is typing will take place of current boot parameters

    read -erp "Enter additional kernel boot parameters (press Enter to use the present arguments): "
    if [[ -n "$REPLY" ]]; then
        bootparams="${REPLY}"
    else
        bootparams="${OVIRT_BOOTPARAMS}"
    fi


Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.perform "install locally and reboot" in firstboot menu
 
Actual results:


Expected results:
bootparams="${bootparam} ${REPLY}"
or
read -erp "Enter new kernel boot parameters (press Enter to use the present arguments)"


Additional info:

Comment 1 Alan Pevec 2010-06-02 15:27:53 UTC
Yeah, this needs some rewording, but to clarify "additional" is meant in addition to required boot parameters which cannot be modified (root= etc)
not in addition to what's shown under "The current kernel boot parameters are:"

If we just keep adding, it won't be possible to remove a parameter.

Comment 2 Alan Pevec 2010-07-05 23:22:06 UTC
commit f32c4eae9237ade796a7c7e811a11630cc9a1677
Author: Alan Pevec <apevec@redhat.com>
Date:   Tue Jul 6 01:17:19 2010 +0200

    re-word prompt for optional kernel parameters
    
    rhbz#598885

diff --git a/scripts/ovirt-config-boot-wrapper b/scripts/ovirt-config-boot-wrapper
index 5374aed..2d01d59 100755
--- a/scripts/ovirt-config-boot-wrapper
+++ b/scripts/ovirt-config-boot-wrapper
@@ -23,7 +23,7 @@ correctly on the previous menu before continuing."
     printf "The current kernel boot parameters are:\n"
     printf "${bootparams}\n"
     printf "\n"
-    read -erp "Enter additional kernel boot parameters (press Enter to use the present arguments): "
+    read -erp "Enter kernel boot parameters (press Enter to use the present arguments): "
     if [[ -n "$REPLY" ]]; then
 	bootparams="${REPLY}"
     else

Comment 4 XinSun 2010-10-08 06:52:26 UTC
Check this bug on rhev-hypervisor-5.5-2.2.7.3, do follow steps:
1.Boot from CDROM/USB/pxe
2.In firstboot menu, choose option 8) Install locally and reboot, 
then you can see:

"Enter kernel boot parameters (press Enter to use the present arguments):"

3.In /usr/libexec/ovirt-config-boot-wrapper, you can see:

 read -erp "Enter kernel boot parameters (press Enter to use the present arguments): "



Please see the detail as follows:

Red Hat Enterprise Virtualization Hypervisor release 5.5-2.2 (7.3)


 Hypervisor Configuration Menu

1) Configure storage partitions	       6) Configure the host for RHEV
2) Configure authentication	       7) View logs
3) Set the hostname		       8) Install locally and reboot
4) Networking setup		       9) Exit Hypervisor Configuration Menu
5) Register Host to RHN
Choose an option to configure: 8




 Install locally and reboot


This option exits the menu and requires a reboot. 
Ensure local storage and networking is configured
correctly on the previous menu before continuing.

The current kernel boot parameters are:
 ksdevice=bootif lang= kssendmac processor.max_cstate=1 elevator=deadline console=tty0 crashkernel=128M@16M linux=~ liveimg=~ ro=~ check=~

Enter kernel boot parameters (press Enter to use the present arguments):


So change this bug's status to verified.

Comment 5 XinSun 2010-10-08 08:05:32 UTC
I check this bug on rhev-hypervisor-5.6 (4.el5)again, do follow steps:
1.Boot from CDROM/USB/pxe
2.In firstboot menu, choose option 8) Install locally and reboot, 
then you can see:

"Enter kernel boot parameters (press Enter to use the present arguments):"

3.In /usr/libexec/ovirt-config-boot-wrapper, you can see:

 read -erp "Enter kernel boot parameters (press Enter to use the present
arguments):

Comment 6 Jaromir Hradilek 2010-12-17 17:21:55 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
To avoid possible confusion, the prompt message that is displayed when a user selects to perform a local installation has been changed to "Enter kernel boot parameters (press Enter to use the present arguments)".

Comment 8 errata-xmlrpc 2011-01-13 18:42:22 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0148.html


Note You need to log in before you can comment on or make changes to this bug.